<div class="row" style="height: 100px;background-color: #014254">
  <h1 style="color: snow;font-size: 20px;margin-top: 35px;margin-left: 25px; "> กรองอสังหาริมทรัพย์</h1>
</div>


<div class="filter">
  <div class="col-md">
    <mat-form-field style="margin-left: 15px">
      <mat-label>ราคา</mat-label>
      <mat-select [(value)]="selected1">
        <mat-option>ไม่ระบุ</mat-option>
        <mat-option value="option1">น้อยกว่า 1 ล้าน</mat-option>
        <mat-option value="option2">1 ล้าน - 2 ล้าน</mat-option>
        <mat-option value="option3">2 ล้าน - 3 ล้าน</mat-option>
        <mat-option value="option3">3 ล้าน - 5 ล้าน</mat-option>
        <mat-option value="option3">5 ล้าน - 10 ล้าน</mat-option>
        <mat-option value="option3">มากกว่า 10 ล้าน</mat-option>
      </mat-select>
    </mat-form-field>


    <mat-form-field style="margin-left: 15px">
      <mat-label>ห้องนอน</mat-label>
      <mat-select [(value)]="selected2">
        <mat-option>ไม่ระบุ</mat-option>
        <mat-option value="1">1 ห้อง</mat-option>
        <mat-option value="2">2 ห้อง</mat-option>
        <mat-option value="3">3 ห้อง</mat-option>
        <mat-option value="4">4 ห้อง</mat-option>
        <mat-option value="5">5 ห้อง</mat-option>
        <mat-option value="6">6 ห้อง</mat-option>
        <mat-option value="7">7 ห้อง</mat-option>
        <mat-option value="8">มากกว่า 7 ห้อง</mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field style="margin-left: 15px">
      <mat-label>ขนาดพื้นที่</mat-label>
      <mat-select [(value)]="selected3">
        <mat-option>ไม่ระบุ</mat-option>
        <mat-option value="50">น้อยกว่า 50 ตร.ม.</mat-option>
        <mat-option value="option2">50 ตร.ม. - 100 ตร.ม.</mat-option>
        <mat-option value="option3">100 ตร.ม. - 1000 ตร.ม.</mat-option>
        <mat-option value="option3">1000 ตร.ม. - 5000 ตร.ม.</mat-option>
        <mat-option value="option3">มากกว่า 5000 ตร.ม.</mat-option>
      </mat-select>
    </mat-form-field>
  </div>
</div>



<mat-card style="width: 1200px; margin-left: auto; margin-right: auto; top: 20px;background-color: #BBD9EE">
  <mat-toolbar style="background-color: #4579a0;color: snow">รายการอสังหาริมทรัพย์</mat-toolbar>
  <div class="row">
    <mat-card class="product-card" *ngFor="let p of products">
      <!-- <mat-card-header>
      <div mat-card-avatar class="example-header-image"></div>
      <mat-card-title style="font-size: 16px">{{p.fname}} {{p.lname}}</mat-card-title>
      <mat-card-subtitle>Dog Breed</mat-card-subtitle>
    </mat-card-header> -->
      <div class="image">
        <img style="cursor: pointer;" [routerLink]="['/mainpage/mainpage/property' ,p.pro_id]" mat-card-image
          src="https://material.angular.io/assets/img/examples/shiba2.jpg" alt="Photo of a Shiba Inu">
      </div>
      <div class="detail">
        <mat-card-content>
          <p class="head" [routerLink]="['/mainpage/mainpage/property' ,p.pro_id]">
            {{p.pro_head}}
          </p>
        </mat-card-content>
        <mat-card-subtitle style="margin-bottom: 2px;">{{p.loc_zone}} {{p.loc_name}}</mat-card-subtitle>
        <mat-chip-list>
          <mat-chip *ngIf="p.pro_sell == 'เช่า'" style="background-color: #73B66B">{{p.pro_sell}}</mat-chip>
          <mat-chip *ngIf="p.pro_sell == 'ขาย'" style="background-color: #FFCB18">{{p.pro_sell}}</mat-chip>
          <mat-chip style="background-color: #29A2C6">{{p.type_name}}</mat-chip>

        </mat-chip-list>
        <mat-card-subtitle class="price">{{p.price}} บาท</mat-card-subtitle>
        <mat-card-actions style="font-size: small">
          <div class="row">
            <div class="col-6">
              <p class="p_icon1"><i class="fa fa-object-group" aria-hidden="true"></i>&nbsp; {{p.pro_area}} ตร.ม.</p>
              <p class="p_icon1"><i class="fa fa-bed" aria-hidden="true"></i>&nbsp; {{p.pro_bedroom}} ห้องนอน</p>
            </div>
            <div class="col-6">
              <p class="p_icon2"><i class="fa fa-bath" aria-hidden="true"></i>&nbsp; {{p.pro_toilet}} ห้องน้ำ</p>
              <p class="p_icon2"><i class="fa fa-building-o" aria-hidden="true"></i>&nbsp; {{p.pro_floor}} ชั้น</p>
            </div>
          </div>

        </mat-card-actions>
      </div>
    </mat-card>
  </div>
</mat-card>